<?php

class actionGeoCitiesAjax extends cmsAction {

    public function run($region_id = false){
		
        if(!$this->request->isAjax() || !$region_id){cmsCore::error404();}
		
        $grid = $this->loadDataGrid('cities');
		
        $this->model->setPerPage(admin::perpage);
		
        $filter = array();
        $filter_str = $this->request->get('filter', '');
		
        if($filter_str){
			parse_str($filter_str, $filter);
			$this->model->applyGridFilter($grid, $filter);
			$grid['filter'] = $filter;
		}
		
        $total = $this->model->filterEqual('region_id', $region_id)->getCount('geo_cities');
		
        $perpage = isset($filter['perpage']) ? $filter['perpage'] : admin::perpage;
        $pages = ceil($total / $perpage);
		
        $cities = $this->model->get('geo_cities');
		
        $this->cms_template->renderGridRowsJSON($grid, $cities, $total, $pages);
        $this->halt();
		
    }

}