<?php

class actionGeoCity extends cmsAction {

    public function run($country_id = false, $region_id = false, $city_id = false){
		
		if(!$country_id || !$region_id){cmsCore::error404();}
		$country = $this->model->getItemById('geo_countries', $country_id);
		if(!$country){cmsCore::error404();}
		
		$region = $this->model->getItemById('geo_regions', $region_id);
		if(!$region){cmsCore::error404();}
		
        if($city_id){
			$city = $this->model->getItemById('geo_cities', $city_id);
		}
		
        $form = $this->getForm('city', array($country_id));
        $is_submitted = $this->request->has('submit');
		
        if($is_submitted){
			
            $city = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this,  $city);
			
            if(!$errors){
				
				if($city_id){
					$this->model->update('geo_cities', $city_id, $city);					
					cmsUser::addSessionMessage(LANG_GEO_UPD_CITY, 'success');
				} else {
					$this->model->insert('geo_cities', $city);
					cmsUser::addSessionMessage(LANG_GEO_ADDED_CITY, 'success');
				}
				
				$this->redirectToAction('cities', array($country_id, $region_id));
				
			} else {
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
        }
        return $this->cms_template->render('backend/city', array(
            'do' => $city_id ? 'edit' : 'add',
            'city' => isset($city) ? $city : false,
            'country' => $country,
            'region' => $region,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));
    }

}