<?php

class actionGeoCountriesAjax extends cmsAction {

    public function run(){
		
        if(!$this->request->isAjax()){cmsCore::error404();}
		
        $grid = $this->loadDataGrid('countries');
		
        $this->model->setPerPage(admin::perpage);
		
        $filter = array();
        $filter_str = $this->request->get('filter', '');
		
        if($filter_str){
			parse_str($filter_str, $filter);
			$this->model->applyGridFilter($grid, $filter);
			$grid['filter'] = $filter;
		}
		
        $total = $this->model->getCount('geo_countries');		
        $perpage = isset($filter['perpage']) ? $filter['perpage'] : admin::perpage;
        $pages = ceil($total / $perpage);
		
        $countries = $this->model->selectOnly('i.id, i.name, i.ordering')->get('geo_countries');
		
        $this->cms_template->renderGridRowsJSON($grid, $countries, $total, $pages);
        $this->halt();
		
    }

}