<?php

class actionGeoCountry extends cmsAction {

    public function run($country_id = false){
		
        if($country_id){
			$country = $this->model->getItemById('geo_countries', $country_id);
		}
		
        $form = $this->getForm('country');
		
        $is_submitted = $this->request->has('submit');
		
        if($is_submitted){
			
            $country = $form->parse($this->request, $is_submitted);			
            $errors = $form->validate($this,  $country);
			
            if(!$errors){
				
				if($country_id){
					$this->model->update('geo_countries', $country_id, $country);					
					cmsUser::addSessionMessage(LANG_GEO_UPD_COUNTRY, 'success');
				} else {
					$this->model->insert('geo_countries', $country);
					cmsUser::addSessionMessage(LANG_GEO_ADDED_COUNTRY, 'success');
				}
				
				$this->redirectToAction('');
				
			} else {
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
			
        }
		
        return $this->cms_template->render('backend/country', array(
            'do' => $country_id ? 'edit' : 'add',
            'country' => isset($country) ? $country : false,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));
    }

}