<?php

class actionGeoRegion extends cmsAction {

    public function run($country_id = false, $region_id = false){
		
		if(!$country_id){cmsCore::error404();}
		$country = $this->model->getItemById('geo_countries', $country_id);
		if(!$country){cmsCore::error404();}
		
        if($region_id){
			$region = $this->model->getItemById('geo_regions', $region_id);
		}
		
        $form = $this->getForm('region');
        $is_submitted = $this->request->has('submit');
		
        if($is_submitted){
			
            $region = $form->parse($this->request, $is_submitted);			
            $errors = $form->validate($this,  $region);
			
            if (!$errors){
				
				if($region_id){
					$this->model->update('geo_regions', $region_id, $region);					
					cmsUser::addSessionMessage(LANG_GEO_UPD_REGION, 'success');
				} else {
					$this->model->insert('geo_regions', $region);
					cmsUser::addSessionMessage(LANG_GEO_ADDED_REGION, 'success');
				}
				
				$this->redirectToAction('regions', $country_id);
				
			} else {
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
			}
        }
        return $this->cms_template->render('backend/region', array(
            'do' => $region_id ? 'edit' : 'add',
            'region' => isset($region) ? $region : false,
            'country' => $country,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));
    }

}