<?php

class actionGeoRegionsAjax extends cmsAction {

    public function run($country_id=false){
		
        if(!$this->request->isAjax() || !$country_id){cmsCore::error404();}
		
        $grid = $this->loadDataGrid('regions');
		
        $this->model->setPerPage(admin::perpage);
		
        $filter = array();
        $filter_str = $this->request->get('filter', '');
		
        if($filter_str){
			parse_str($filter_str, $filter);
			$this->model->applyGridFilter($grid, $filter);
			$grid['filter'] = $filter;
		}
		
        $total = $this->model->filterEqual('country_id', $country_id)->getCount('geo_regions');
		
        $perpage = isset($filter['perpage']) ? $filter['perpage'] : admin::perpage;
        $pages = ceil($total / $perpage);
		
        $regions = $this->model->get('geo_regions');
		
        $this->cms_template->renderGridRowsJSON($grid, $regions, $total, $pages);
        $this->halt();
		
    }

}