<?php

function grid_countries($controller){

    $options = array(
        'is_sortable' => true,
        'is_filter' => true,
        'is_pagination' => true,
        'is_draggable' => true,
        'order_by' => 'ordering',
        'order_to' => 'asc',
        'show_id' => true
    );

    $columns = array(
		'id' => array(
            'title' => 'ID',
            'width' => 20,
            'filter' => 'exact'
        ),
        'name' => array(
            'title' => LANG_TITLE,
            'href' => href_to($controller->root_url, 'regions', array('{id}')),
            'filter' => 'like'
        ),
		'ordering' => array(
            'title' => LANG_GEO_POSITION,
        ),
    );

    $actions = array(
        array(
            'title' => LANG_EDIT,
            'class' => 'edit',
            'href' => href_to($controller->root_url, 'country', array('{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'href' => href_to($controller->root_url, 'delete', array('country', '{id}')),
			'confirm' => LANG_GEO_DILETE_COUNTRY,
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}

